Contents
Manual for CDex 1.20

by Albert Faber

Contents

Copyright notice

Introduction

Installing CDex

A Quick Tour

Digtal Audio

Configure CDex

Menu Options

Trouble Shooting

Glossary


Copyright notice

Copyright (c) 1999 Albert Faber.

Distribution

The CDex application is freeware, which means you can make as many copies as  you want, give it to friends or do whatever you like to do with it. However, you are specifically prohibited from charging, or requesting donations, for  any such copies and from distributing the software and/or documentation with  other products (commercial or otherwise) without prior written permission,  with one exception:

Disk Vendors approved by the Association of Shareware Professionals are  permitted to redistribute CDex, subject to the conditions in this license,  without specific written permission.

Warranty

THIS APPLICATION AND INFORMATION IS PROVIDED "AS IS" WITHOUT  WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING  BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY  AND/OR FITNESS FOR A PARTICULAR PURPOSE.

ALBERT FABER DOES NOT REPRESENT OR WARRANT THAT THE  PROGRAMS OR PROGRAM COMPONENTS ARE FREE OF INFRINGEMENT OR  ANY THIRD-PARTY PATENTS, COPYRIGHTS OR TRADE SECRETS.


Introduction

This document describes a utility for extracting sound files from a CD-ROM  and converting WAV files into several other (compressed) formats, like the  popular MP3 format.

The latest version of CDex can be accessed from:

http://www.surf.to/cdex

System Requirements

Status of CDex

Acknowledgements

Change log


Installing CDex

How to install CDex.

Important:

CDex needs ASPI drivers to work properly, you should have  installed this on your system, otherwhise you can not use the extracting of  CD-ROM tracks.

Installing CDex is straightforward and easy. In order to install CDex, open  the file Zip file with a utility like WinZip and extract the  file to a directory you like (e.g. c:\Program File\CDex).  Once extracted, close WinZip, open a explorer Window and select the directory  where CDex is installed. Just double click on the CDex.exe file, that's all.  Optionally you can create a shortcut to CDex, make sure though that you set working directory to the directory where you have installed CDex.

How to uninstall CDex


A Quick Tour

This chapter if for those who can't wait, it discusses briefly how to  configure the main options and how to use it. It is assumed that you have  already installed CDex (see previous chapter). Now the first thing you  have to do is to configure CDex, below a short description of the main  items that have to be configured:

After you have started CDex, you have to select the configuration option from the options menu (or click on the configure on the toolbar). Important items to set are:

How to get started


Digtal Audio

This chapter explains briefly the digital audio releated topics. At this monent it is not nearly complete, but at least the basic topics are discussed.

What is CDDA

The purpose of audio compression:


Configure CDex

This chapter explains the configuration menus within CDex.

General Settings

CD-ROM Settings

Encoder Options

CDDB Options


Menu Options

This chapter explains all the menu options that are available.

File Menu Options

Edit Menu Options

Convert Menu Options

Play Menu

CDDB Menu

Options Menu

Help Menu


Trouble Shooting

This chapter has some information in case you have problems with CDex. It is recommended though that you also read the CDex FAQ, which might have more up to date information about your specfic problem (see www.surf.to/cdex).

System Information Dialog

Frequently Asked Question:


Glossary

Short Cuts

Bugs and suggestions

Mouse Click


System Requirements

The run CDex, you need at least:

o	Microsoft Windows 95/98/NT operating system

o	Adaptec's ASPI for Win32 Manager (version 4.54 or better)

o	A CD-ROM which has Digital Audio Extracting capabilities (most IDE drives and SCSI drives will do)

o	Intel Pentium or compatible processor

o	Lot's of free disk space to record your WAV files

o	A player is recommended (utilities like WinAmp or MaPlay are good free/ shareware utilities). Take a look at www.mp3.com where you can find a much  more information about MP3.


Status of CDex

CDex is under continual development, often following users' suggestions.


Acknowledgements

Thanks are due to the many people that have worked on the LAME encoder, and  the beta testers of CDex in giving advice for improvements to CDex.

CDDB is designed and developed by Ti Kan and Steve Scherf  (http://www.cddb.com).

Blade Encoder is developed and maintained by Tord Jansson.


Change log

Version 1.20: (Still in beta)

o	Included latest Lame Encoder (speed&quality improvements)

o	Added additional settings for Lame Encoder

o	Setting proper logical drive in CD-ROM configuration dialog

o	Save the remote CDDB sites properly

o	Fixed bugs in normalization code (Thanks to Frank!). Decreased  normalization buffer size in order to avoid stack overflow problems

o	Save Correct TAG (Catagory Field) when performing Partial Track copy Added Simple MP3 Player

o	Switches to Lame Encoder (version 2.10, slower but improved quality)

o	Added Joint stereo and Fake Stereo option in Internal Encoder options Fixed problems when converting MP3->RIFF WAV (was not doing anything)

o	Made changes to Codec enumeration, hopefully this solves the weird crashes

o	Store the CDDB query sites result correctly

o	Added WMA encoder

o	Better handling of ASPI errors

o	Fixed problems with pause button

o	Avoid system crash when no CD-ROM drive is located

Version 1.10: (March 1999)

o	Major re-code of the ripping and encoding part, in order to more easily add new encoders and to avoid a maintance trap. Unfortunately, this has  introduced many new bugs, therefore many service releases were necessary to make it stable again.

o	Moved the ripping stuff in a separate DLL.

o	Added the CD selection bar in the main menu.

o	Better support for external encoders.

o	Dropped (or convert WAV files) now also supports multiple CD-ROM  configurations (i.e. the settings of each CD-ROM are saved in the INI file).

o	Added support to get the CDDB server list.

o	More flexible file name building (including dynamic directory creation).

o	Support for Windows MP3 compression codec.

Version 1.02: (December 1998)

o	Minor improvements to version 1.02, mostly related to slow response time of Windows NT systems.

Version 1.00: (October 1998)

o	Improved user interface (removed plain buttons for Extracting toolbar)

o	Added remote CDDB support

o	Added support for external encoders (AAC/VQF/MP3 like Blade Encoder, Plugger, L3Enc etc.)

o	Added support for Blade Encoder DLL

o	Several bug fixes

Version 0.15: (August 1998)

o	First non beta version.


How to uninstall CDex

CDex does not install any additional DLLs or components, all the files are  located in the CDex directory except the CDex.ini file which is located in  the Windows directory. Just remove the directory where CDex is installed,  in addition you have to delete the CDex.ini file which is located in the Windows directory.


How to get started

First select the configure button (F4) and select a proper output directory. For all the available shortcuts see also Short Cuts.

Secondly, select the CD-ROM tab and make sure that the CD-ROM settings are  correct. At least make sure that the logical drive letter is setup correctly  for your CD-ROM (otherwise you might get problems with reading the  CDPlayer.ini file. Optionally you might select another encoder. You can select the encoder by clicking on the MP3 tab.

Finally, you have to fill out the CDDB settings (at least make sure that you specify your e-mail address when you want to use the remote CDDB functionality.

Once you have setup everything, click on the OK button. The setting will be  stored to the CDex.ini  file that is located in the windows directory. Now the  setup has been completed, it is time to Rip some files:

The figure above shows the main CDex screen. The first thing I would recommend to do is to fill out the Artist/Album information as well as the Track proper track information. It seems like a bit of work, but otherwhise you will end up with a bunch of files with the same name and you don't know what it is (and likely have to rename them anyways or throw them away).

Luckely, there is a large data base one the internet called CDDB. This data base has track and artist information of about every CD album. The only thing you have to do in order to use this data base is to fill out the e-mail address field in the CDDB options (or at least something that looks like an e-mail address like john@do.com).

Now select one (or more) tracks from the track list. You can select tracks byclicking on the track, to select more than one track, hold down the CTRL key whick clicking. To select a range of files, you can hold down the SHIFT key while clickingon the first and last track you want to select. You can select all files using  the CTRL-A short-cut key. Notice that this selecting mechanism is native to Windows, but not all user seems to know these tricks, it works for example also in the Windows Explorer.

Once you have selected the tracks, you can extract these tracks to either WAV files or extract them directly to an compressed file (like MP3). If you want to extract them to a WAV file, select the upper button of the (F8)

files or encoded file, like MP3 (F9). Instead of  the function keys, you can also select the first or second button respectively  at the Record short-cut bar located at the right side the main CDex screen.

To rename the track files, you have to select a track first, once the track is selected, click on it again  (with left mouse button, or press the F2 key), now a cursor will appear, type in the track. Hit the return key when done (this procedure is similar to the file renaming the Windows Explorer). Or,  if you have selected a track,  you can use the right mouse button to get the pop-up menu, select rename and the text cursor will appear.

Most of these functions are available when you press the right mouse button  in the track list!


What is CDDA

The process of direct reading the audio data is called CD Digital Audio (CD-DA) or sometimes referred to as 'Digital Audio Extraction' (DAE) or as  'CD ripping' . CDex uses CD-DA to read the audio data of the  CD disc and write the resulting data into a WAV file or a MP3 file. The  advantage of CD-DA above recording the file using your sound card is that  there is no loss of music quality, the data in the WAV file are an exact  copy of the data on the disc. For the insiders, using your sound card,  the digital data from the disc is converted to an analog signal, which is  digitized again by the sound card. Often the sound quality will be deteriorated  when going this route, especially noisy WAV are not uncommon. Furthermore, DAE is also a lot faster than ripping audio data with your sound card.


The purpose of audio compression:

Up to the advent of audio compression, high-quality digital audio data took  a lot of hard disk space to store. Let us go through a short example. You  want to, say, sample your favorite 1-minute song and store it on your  harddisk. Because you want CD quality, you sample at 44.1 kHz, stereo,  with 16 bits per sample.

44100 Hz means that you have 44100 values per second coming in from your  the CD-ROM (or input file). Multiply that by two because you have two channels. Multiply by another factor of two because you have two bytes per value (that's  what 16 bit means). The song will take up 44100 samples/s x 2 channels x 2  bytes/sample · 60 s/min  MBytes of storage space on your harddisk.

If you want to download that over the internet, given an average 28.8 modem, it would take you about 10000000 bytes x 8 bits/byte / (28800 bits/s) x / (60 s/min) results in about 45 minutes. Just to download one minute of music!

Digital audio coding, which - in this context - is synonymously called digital  audio compression as well, is the art of minimizing storage space (or channel  bandwidth) requirements for audio data. Modern perceptual audio coding techniques (like MPEG Layer-3) exploit the properties of the human ear  (the perception of sound) to achieve a size reduction by a factor of 12 with  little or no perceptible loss of quality.

Therefore, such schemes are the key technology for high quality low bit-rate  applications, like soundtracks for CD-ROM games, solid-state sound memories, Internet audio, digital audio broadcasting systems, and the like.


General Settings

File name builder:

Add Files to M3U Playlist.

Add Files to PLS Playlist.

Normalize track volume:

WAV->MP3 Output Directory:

Recorded Tracks Output Directory:


CD-ROM Settings

CD-ROM drop down list:

Logical drive:

Read Sector (default value 26)

Read Overlap (default value 7):

Block Compare (default value 1):

CD Speed (default value 0):

CD-Read Type (default value Generic):

Auto Detect Button:

Swap Left Right Channel (default value off):

Enable Jitter correction (default value on):

Start and end Offset (default values 0):

Spin up time (default value 0):


Encoder Options

This section describes the options that can be filled out in the MP3 Encoder options dialog.

Bit-rates:

Add ID3 Tag:

Thread Priority:

Output to Riff-WAV file:

Encoder:

Settings for Lame MP3/Blade DLL/Internal MP3 encoder:

On the fly MP3 encoding (default  value on):

AAC Astrid/Quartex encoder:

Yamaha VQF encoder options;

Windows Codec options:

Microsoft WMA encoder options:


CDDB Options

What is is the CDDB anyways:

Remote server:

The Query Sites button:

E-mail address:

Time Out value: (default 20)

Firewall settings: (default 20)

Auto connect to remote CDDB: (default disabled)

Local CDDB path:

CDDB type:

Store in CDPlayer.ini file:

Store in local CDDB:


File Menu Options

System Info:

Compare two files:

Exit:


Edit Menu Options

Select All:

Copy to clipboard:

Rename Track:

Refresh track list:


Convert Menu Options

Extract CD Track(s) to WAV files:

Extract CD Track(s) to MPEG files:

Extract Partial CD Track:

WAV->MPEG option:

MPEG->WAV option:

MP3->RIFF-WAV option:


Play Menu

Play Files:


CDDB Menu

Read From local CDDB:

Read From Remote CDDB:

Read From CDPlayer.ini:

Save to Local CDDB:

Save to CDPlayer.ini:


Options Menu

Settings:

View Playbar:

View Recordbar:

View Ripping Status Details:

Clear Ripping Status:


Help Menu

Help Topics:

About CDex:


System Information Dialog

The System Information dialog box displays information that is important  when you submit a bug report. For your convenience, you can let CDex copy  the information to the clipboard which you can paste (Control V) in you  e-mail program when you send in a bug report.


Frequently Asked Question:

Q: Whenever CDex starts my floppy drive is queried for about 5 seconds  then the program continues.

Q: CDex does not start up or crashes at the start-up (in Module CDex.exe  or Kernel32.exe)

Q: When I try to start CDex, it complains that it can’t find the  CDRip.dll file

Q: When I hit the Tracks->MPEG button nothing happens?

Q: Where is the CDRip status retained that is displayed in the main  track Window?

Q: Is it possible, using CDex, to merge several tracks into a single  WAV or MP3 file?

Q: Can I convert MP3 files back to WAV files?

Q: When I extract files, there are is no music information, just dead  silence

Q: When I convert/rip MP3 files, CDex is slow as molasses, what wrong  with my system?

Q: The status indicates that I have jitter problems


Short Cuts

CDex is aware of the following short cuts:

o	F2 Rename Track

o	F3 View status

o	F4 Configure CDex

o	F5 Refresh track list (re-read the Table Of Contents and re-read CDDB  information)

o	F8 Rip selected tracks to a WAV file

o	F9 Rip selected track to a MP3 file

o	F10 Partial track extraction

o	Ctrl-A Select all tracks


Bugs and suggestions

IMPORTANT:

Do not send me large attachments of large files! If you have a problem, please READ the help file first, if this doesn't solve your problems, take  a look at the latest FAQ on the website (http://www.surf.to/cdex), it maybe has a solution for your problem(s). If you still have problems, well then  you can send me an e-mail with your specific problems. Also include  as much as possible information about your system.

o	Which version of CDex do you use

o	What ASPI drivers do you have installed on your system ?

o	What kind of CD-ROM do you have (brand + type)

o	What kind of CD-ROM settings do you use (Read Sectors&Read Overlap)

o	Did you try the Auto Detect function yet

o	Which encoder you have selected

Furthermore, add the information which is displayed in the System Info dialog  box. For your convenience,you can let CDex copy the information into the  clipboard, which you can paste (Control v) in your e-mail program.


Mouse Click

A mouse click is pressing and releaseing the left mouse button on an item.


File name builder:

The file name option string determines how the output files will be saved to  disk. The following identifiers are available to create dynamic file names:

o	%1 Artist information

o	%2 Album information

o	%3 Track number

o	%4 Track name

o	%5 CD Volume ID

o	%6 CDDB ID

o	%7 Track number with leading zero

o	%8 Total number of tracks on the album

Also the backslash (\) might be used to indicate what part will be  used as a directory name. Beware that your should not start nor end with the backslash in the file name option dialog. Neither you have to specify the  extension of the file

Examples:

%1\%2\%4 create the file Track name in the directory artist\album

%1-%2-%3 creates the file track artist-album-track name


Add Files to M3U Playlist.

When enabled, it will add the recorded files to the file Playlist.m3U, which  is locate in the Recorded Tracks output directory.


Add Files to PLS Playlist.

When enabled, it will add the recorded files to the file Playlist.pls, which  is locate in the Recorded Tracks output directory.


Normalize track volume:

Often CDs are recorded with different volume levels. CDex has an option to  normalize the volume levels if the volume level of the record track is out of  bounce. The upper and lower boundary as well as the normalization values can be specified in the three edit boxes. The values are in percentages. Keep in mind that this option only works when the On The Fly  MP3 encoding option is disabled.

Default settings:

Normalization value: 98%

Lower  value 91%

Upper value 99%


WAV->MP3 Output Directory:

This indicates where the converted MP3 files should be stored. The output directory can be changed by pressing on the .. button. Once selected, a  directory selection dialog appears, select the appropriate output directory and press the OK button..


Recorded Tracks Output Directory:

This indicates where the extract MPEG (or WAV files) are stored after ripping. The output directory can be changed by pressing on the .. button. Once  selected, a directory selection dialog appears, select the appropriate output directory and press the OK button.


CD-ROM drop down list:

This selection box shows the available CD-ROMs, select the CD-ROM from which  you want to extract the CD-ROM tracks .


Logical drive:

You have to select which  logical drive letter is associated with the selected  CD-ROM device. This is necessary in order to obtain the proper CD Volume ID.  If this is not set correctly, CDex can't use the CDPlayer.ini file (it can even add invalid items to the CDPlayer.ini file, so make sure this field is set correctly).


Read Sector (default value 26)

Some drive can't read more than 26 sectors at once, thus if you get silent  WAV files, make sure that this value is less than 27. If your drive does  read more than 27 sectors at once, you can try to increase the value  to say 400, this can speed up the ripping process considerably!


Read Overlap (default value 7):

The problem with reading the audio CD format is that you can't very well  position the starting track. This might cause a miss alignment when reading  two separate blocks of data (thus either gaps can occur, where some sound  data is getting lost, or there might be overlap between first and second block  of data). To solve this problem, CDex uses a so called jitter correction,  which means CDex is not position the laser to the end of the first block,  but a few sectors earlier. This number of overlapping sectors can be entered  in the Read Overlap field, this number should be large enough so there will  be enough overlap compensate the miss positioning of the laser. If you hear  strange noises in your MP3 or WAV file, try to increase this number (but  should of course be less than the Read Sector value.


Block Compare (default value 1):

Now we have read some additional sectors, it is time to actually do the  jitter correction. Therefore, the last sectors of the first data block is  compared with the sectors of the second data block. Of course, the question is  how many sectors do we have to compare to be sure that the blocks are really  aligned. Well, I am using 1, but if you think this is not enough, please feel  free to increase this number (which of course will slow down the recording process and might increase the number of jitter errors). Make sure though that  the Block Compare  value does not exceed 0.5 x Read Overlap value.


CD Speed (default value 0):

Indicates the relative reading speed of the CD-ROM. The default value is 0,  which means that is uses the default recording speed.  You might want to try  to increase this value (e.g. 32) in order to speed up the ripping process  (mostly noticeable when ripping WAV files).


CD-Read Type (default value Generic):

This option allows you to select the CD-ROM brand you have, based in this information CD audio data is read differently. By default it is set to Generic, which should work for most drives. However, if you don't get any audio data  into the WAV or MP3 file, you might want to change this setting to your  specific brand of CD-ROM.


Auto Detect Button:

Press the auto detect function. In order to perform auto detection, you have to have an Audio CD-ROM in your CD-ROM drive. The auto detection might take some time ( a couple of minutes ). If your lucky, the auto detection find at least one combination that reports success. Select this line from the list box and press the OK button. If it does not work, send me the file CDexAutoDetect.txt which should be created in the root directory of your drive. Note: Some people have reported that CDex or the system would crash when doing the auto detection procedure, they got around this problem by turning of the DMA setting in the Control Panel-> System -> Device Manager ->CD-ROM -> Your CD-ROM (press  properties button and select the Settings TAB). Of course, don't take the word CD-ROM literally, it means the brand/type of the CD-ROM which you want to  perform the auto detect procedure. If CDex is not still able to read audio  data from your CD-ROM, please send me an e-mail, include the CDexAutoDetect.txt and add also the info you get from the System Info button (see also contact  for more details what information is useful for me).


Swap Left Right Channel (default value off):

With certain types of  CD-ROMs, the left and right channel are alternated. With this option enabled, you can correct for it.


Enable Jitter correction (default value on):

This setting determines if the jitter correction should be enabled or not.  Unless you have a very good CD-ROM, I would advice you to turn on the jitter  correction, to avoid click/plops and other artifacts in the extracted WAV of  MP3 file.


Start and end Offset (default values 0):

With the start and end offset you can tweak the actual start and end position. The values can be positive as well as negative. One unit correspond to a  sector, which is 1/75th of a second.


Spin up time (default value 0):

Some drives give small artifacts in the first couple of seconds of the WAV  file, this is likely that the CD-ROM has not spun up yet completely. In order  to avoid these kind of artifacts, you can increase this spin up time value  (value is in seconds).


Bit-rates:

Almost all the encoders work with a bit-rate parameter. Herafter a short  description how to interpret the bit-rate value:

The number of bits per second, A higher bit-rate result in better sound  quality since the encoder has to throw away less information. The down-side of a higher bit-rate is of course the increase in the file size. You can  calculate the output file size based on the bit rate as follows:

MP3FileSize [kBits/s] = Bitrate [kBits/s] * Song Duration [sec].

Thus a song with a play time of 3 minutes and 16 seconds will yield to: MP3FileSize= 128.000 * (3*60 + 16) = 25088000 [kBits] = 3136000 [Bytes] =  3062.5 [KB]

If this song was recorded (44.1 Samples/sec/channel with 16 bits per sample)  as a plain WAV file, the file size would be: WAVFileSize= 44.100 x 2 x 2 x  (3*60+16) = 33764.9 [KB]

Thus the compression ratio  in this example is:  33764.9/3062.5 = 11 x


Add ID3 Tag:

CDex can write an ID3 Tags at the end of the MP3 file. This tag contains some information about the recorded track (this information can be displayed by  the MP3 player, e.g. WinAmp).


Thread Priority:

The setting allow you to change the thread priority of the encoder. A higher the thread settings migh reduce the encoding time. However, the system  becomes less responsive.


Output to Riff-WAV file:

The output file is written as a RIFF-WAV file. This means that there is stored an additional header (a so called RIFF-WAV header) at the beginning of the  encoded file. Furthermore the extention is changed to .WAV. If you have  installed a Windows Codec to decompress MP3 Files, this option might be  usefull. Since Windows takes care of the decompression, so applications that are not aware of the MP3 format can handle these file due to the help of the Windows Codec.


Encoder:

The encoder type specifies which encoder is used. Depending on the selected  encoder, you can fill out the proper options:


Settings for Lame MP3/Blade DLL/Internal MP3 encoder:

This paragraph describes the options for the encoder mentioned above. However, not all options might be available for certain encoders,

Bitrate (default value 128 kBits/s):

Determines the number of bits per second.

Mode (default value Stereo):

With the LAME encoder, you can specify how the file is encoded. The default stereo option is recommended, but at lower bit-rates, the Joint-stereo or Forced stereo can yield to better sound quality.

o	Stereo: In this mode, the encoder makes no use of  potentially existing correlations between the two input channels. It can,  however, negotiate the bit demand between both channel, i.e. give one channel  more bits if the other contains silence.

o	Joint stereo: In this mode, the encoder will  make use of a correlation between both channels. The signal will be matrixed into a sum ("mid") and difference ("side") signal. For quasi-mono signals,  this will give a significant gain in encoding quality. This mode does not  destroy phase information like IS stereo that may be used by other encoders  and thus can be used to encode DOLBY ProLogic surround signals.

o	force joint stereo:  This mode will force  MS joint stereo on all frames. It's faster and it uses some special mid&side masking threshold.

o	Mono: The input will be encoded as a mono signal. If it  was a stereo signal, it will be downsampled to mono.

VBR Settings

This option allows you to set the Variable bit-rate option. Variable bit-rate encoding will depending on the music content of the current frame how many bits will be used to encode the frame. This will improve the  overall quality of the encoded file without increasing the file size. This option will control basically the criteria when to use more bits for a frame. The lower the number the lower the criteria will be. Thus VBR_0 will yield to the best quality (but the larger file size) while VBR_9 will have less sound quality but the file size will be smaller. The recommended option is VBR-4 when you want to use variable bit-rate encoding. However, if VBR encoding is not desired, set this option to none.

Private

When enabled, it will set the private flag in the MP3 stream.

Orignal

When enabled, it will set the orignal flag in the MP3 stream.

Copyright

When enabled, it will set the copyright flag in the MP3 stream.

Checkum

When enabled, the encoder will calculate the cyclic redundancy check (CRC) for the  MP3 frames, and will add the CRC value to the MP3 stream.


On the fly MP3 encoding (default  value on):

When enabled, tracks are recorded directly into the desired compressed format (e.g. MP2/MP3) without have to store the entire file first to a WAV file.  However, with some configuration people have heard strange "click's" in the output file. Therefore, it is possible to disable the on the fly encoding, the file is first record as a WAV file, which will thereafter be converted  to the desired output format, Of course, the WAV file is deleted afterwards.DISABLE THIS OPTION IF YOU EXPERIENCE STRANGE CLICK'S IN YOUR MP3 FILES.

Quality (default value Normal):

With the LAME encoder, you can specify the output quality, hereby you can trade off encoding time agains sound quality. The default (normal) is recommended,  since the high output option might cause ringing artifacs at lower bit-rates.


AAC Astrid/Quartex encoder:

To setup the encoder, press the browse button, no navigate to the  proper directory where you have installed the AAC encoder (filename:  AacEnc.exe). For the AAC encoder, only the Bitrate can be selected (see  Internal MP3 encoder options for more details) . Keep in mind that only a  few bitrates are supported (see AAC encoder documentation for more details)


Yamaha VQF encoder options;

In order to use the VQF encoder, select the browse button in the MP3 settings  dialog, a file selection dialog box should appear, Locate the file  SVQbatch.exe (default installed in the \program files\yamaha\SoundVQenc directory). Click on the OK button and select  the VQF radio button and you are all set. In addition you can sepecify the  output format from the VQF mode drop down list.


Windows Codec options:

For the Windows Codec, there are two drop down lists. The first one specifies  which encoder to use. The second one specifies what mode should be used for  encoding. In addtion you can set the On The Fly encoding, see On the fly encoding for more details.


Microsoft WMA encoder options:

Microsoft's WMA encoder is also supported within CDex. However, you should have installed the proper WMaudio SDK package. You can specify the bit-rate and On the Fly encoding (seeOn The Fly encoding section for more details). Furthermore, you can enable the Digital Right Management (DRM), which will  add copy protection to the encoded file. (you ought to set this option when you  encode files with more than 128 bits per second)


What is is the CDDB anyways:

CDDB (CD database) is an information database containing artist, disc title, track titles, and other information for digital audio compact discs.  It was created originally to support Xmcd, a CD-audio player software package for many computer platforms (primarily UNIX) running the X11 window system.  It uses the OSF/Motif toolkit for its graphical user interface.

Early versions of xmcd allowed users to enter the CD information and save it on the computer's local disk.  The next time a user loads the same CDs in the drive, the saved information is automatically retrieved and displayed.  Further more, xmcd a "Send" feature in xmcd allows its users to submit CD information entries to the central archive via Internet electronic mail.  Over time, this archive has grown to contain a substantial collection of CD information and is continuing to grow at a rapid rate.

The CDDB data archive used to be available in full via FTP on the Internet, so that users can download this archive onto their computers and use it with xmcd.  However, the data has grown large enough over time to make it unfeasible to be distributed or used in this manner.

To address this issue, xmcd began supporting the concept of CDDB servers, such that users no longer need to download the entire CDDB to make full use of it.  Rather, a number of CDDB server hosts have been set up on the Internet around the world, and xmcd running on a system which is connected to the Internet can connect to one or more CDDB servers and query the CD database information.

The CDDB data format and the CDDB servers are designed to be open, and are now used by many other client application software requiring CD information.  The list of CDDB-capable applications is growing rapidly and a current list of these applications is available via the CDDB web site.


Remote server:

Select one of the remote server, probably the fastest response time will be  obtained when you select a server that is physically located the closest  to you.


The Query Sites button:

CDDB servers come and go, so you can get the obtain a fresh list of CDDB servers (via an internet connection) by clicking on the Query sites button.


E-mail address:

In order to access the CDDB remote data base, CDex has to provide an e-mail address. Therefore you have to enter an e-mail (or at least something that  looks like an e-mail address in this field.


Time Out value: (default 20)

This values (specified in seconds) will determine after which time period the remote connection has to be aborted in case there is no response of the server. If you experience a lot of time-outs (due to slow responses of the CDDB server) you can increase this value.


Firewall settings: (default 20)

If you are behind a firewall, you have to fill out the following fields in order to be able to access the remote CD databsse:

Use Proxy: Enable this setting if you are behind a firewall, otherwhise disable it (default).

Proxy port: This setting indicates which port the firewall will use to access HTML file on the internet. The value depends on the firewall configuration (values that often used are 80,81 or 8080).

Authentication: In certain configuration you have to use the authentication in order to access files over the firewall. If this is the case, you have to enable the authentication, furthermore you have to fill out the edit field next to the Authentication field (with your  user ID) and have to fill out the Password field.


Auto connect to remote CDDB: (default disabled)

When this option is enabled, CDex will access the remote CDDB automatically when the CD information is not located in the local CDDB and CDPlayer.ini file.


Local CDDB path:

CDex will store the data gathered from the remote server into a local CDDB  data base. You have to provide the location where you want to store the files,  or if you point it to an existing local CDDB.


CDDB type:

The local CDDB files can be stored in either Windows type CDDB or an UNIX type  CDDB. The advantages of the UNIX CDDB  is that for each entry a unique file is created. This allows much faster lookup of CDDB entries.  However, due to the nature of a FAT16 partitions, each file can take a  considerable amount of disk space. This can be avoided by using the Windows  type of CDDB Windows CDDB type, which will store several entries into one  file.


Store in CDPlayer.ini file:

You can store the results gathered from the remote CDDB (or If you entered  them manually) in the CDPlayer.ini file as well. This allows you to use the  CDDB information for the Windows CD player as well.


Store in local CDDB:

When enabled, CDex will store the track/album information gathered from the  remote CDDB (or If you entered them manually) in the local CDDB data base.  It is recommended that you have this option enabled, since the CDDB can hold  much more information then the CDPlayer.ini file.


System Info:

See trouble shooting section for more details.


Compare two files:

This option allows you to compare two WAV files. The main differences between a regular file comparison (like diff.exe of fc.exe) is that it ignores the WAV header. So this option can determine the time shift between two files, and  compare from thereafter if the WAV data is equal.


Exit:

Selecting exit will close the CDex application.


Select All:

This options selects all the tracks in the track list window.


Copy to clipboard:

This option copies the track information to the clipboard, so you can paste in another application.


Rename Track:

This option allows you to rename the current selected track.


Refresh track list:

This option will re-read the information from the CD-ROM and get the data from the local CDDB or CDPlayer.ini files. This option does not save the track information to one of the databases, so beware of this options.


Extract CD Track(s) to WAV files:

This option allows you to extract the selected CD audio tracks into  a WAV file.


Extract CD Track(s) to MPEG files:

This option allows you to extract the selected CD audio tracks into  a compressed file file (e.g. MP3).


Extract Partial CD Track:

This option will extract a portion of the CD, into either a WAV file or a compressed file. This might be usefull when you want to merge several tracks into one WAV or MPEG file.


WAV->MPEG option:

When selecting this option a file dialog box will appear. You might select several WAV files (holding down the SHIFT of CTRL button). Once selected the  press the OK button, the selected files are encoded to a compressed file.


MPEG->WAV option:

When selecting this option a file dialog box will appear. You might select several MPEG files (holding down the SHIFT of CTRL button). Once selected, press the OK button, the selected files are de-encoded to a uncompressed WAV file.


MP3->RIFF-WAV option:

When selecting this option a file dialog box will appear. You might select several MPEG files (holding down the SHIFT of CTRL button). Once selected, press the OK button, the selected files are converted to a RIFF-WAV file.  See also Output to Riff WAV section.


Play Files:

Since version 1.20, CDex has a small player to listen to MPEG files. Select this option to get access to the MPEG player.


Read From local CDDB:

The track information of the current CD is read from the local CDDB.


Read From Remote CDDB:

The track information of the current CD is read from a remote CDDB server. A internet connection will be established when you are not on-line.


Read From CDPlayer.ini:

The track information of the current CD is read from the CDPlayer.ini file.


Save to Local CDDB:

The current track information is stored to the local CD database.


Save to CDPlayer.ini:

The current track information is stored to the CD Player.ini file.


Settings:

See section configure CDex for more details.


View Playbar:

This option allows you to turn on or off the play toolbar.


View Recordbar:

This option allows you to turn on or off the record toolbar.


View Ripping Status Details:

Select this option if you want to have more detailed information about the  ripping status. This option is usefull when jitter errors occur. This is  indicated with an X in the track list window under the status column. The ripping status will display more detailed information in which block  the jitter error(s) did occur.


Clear Ripping Status:

Select this option to clear the ripping status.


Help Topics:

Select this option to start get the CDex help file.


About CDex:

When selecting this option, a the dialog box will appear.


Q: Whenever CDex starts my floppy drive is queried for about 5 seconds  then the program continues.

A: You have to make sure that you have selected the proper logical drive.


Q: CDex does not start up or crashes at the start-up (in Module CDex.exe  or Kernel32.exe)

A: There seems to be a problem with the enumeration of the Window Codecs  when you have installed certain versions of the MS Media Player or the  MS WMA Encoder. You can circumvent this problem by not enumerating the  Windows encoders (so you can not use the L3Codec.acm encoder anymore). You have to do the following: Open the CDex.ini file (located in the Windows  Directory), search for the line:

WinEncoder=1

Change it to

WinEncoder=0

Save the CDex.ini file, and you are all set.


Q: When I try to start CDex, it complains that it can’t find the  CDRip.dll file


Q: When I hit the Tracks->MPEG button nothing happens?

A: The problem is that you created a CDex short-cut, and did not specify  the working path. You can easily resolve this problem by setting the working  directory (where the CDex.exe file is located and the encoder DLLs)


Q: Where is the CDRip status retained that is displayed in the main  track Window?

A: The status information is stored in separate files in the Windows Temp  directory as TXT files. The file name is derived from the CD-Volume ID.  You can safely delete these text files, and the status should be cleared.


Q: Is it possible, using CDex, to merge several tracks into a single  WAV or MP3 file?

A: What you can do is to to select several tracks, and hit the partial track  copy, with this option you can select a range which is ripped/encoded  into one big file.


Q: Can I convert MP3 files back to WAV files?

A: Yes, CDex version 1.20 and up can convert MP3 files back to WAV files.


Q: When I extract files, there are is no music information, just dead  silence

This problem might be a couple of things:

o	Make sure that you have installed the proper ASPI drivers. This following link:

http://users.westnet.gr/ vamp71/rippers/aspi.htm

has information how to install the proper ASPI drivers (version Adaptec's  ASPI version 4.54 or 4.57 should work). You might run the ASPI check utility  as well to make sure that the ASPI drivers are properly installed.

o	Make sure your drive does support CDDA

see http://www.mp3.com/cdrom.html

to determine if your drive does support CDDA

o	Some CD-ROM drives can not read more than 27 sectors at once. You might try to reduce the Read Sectors value.

o	Try the Auto Detect feature.


Q: When I convert/rip MP3 files, CDex is slow as molasses, what wrong  with my system?

A: Well nothing I would say. The MP3 compression needs a lot of computation power. To get an idea about the encoding time: on a Pentium 166-MMX, with  32 Mb of SD-RAM, a one minute song, the encoding time will be about 2.5  minutes. However, with certain CD-ROM drives you might get better ripping  performance when you set the CD-SPEED to 32, but this might increase the  change of jitter errors.


Q: The status indicates that I have jitter problems

A: Well, you can try to increase the Read Overlap value in the configuration  dialog box. Furthermore make sure that the CD is clean, dirty discs can cause  jitter problems. So you may want to try another disc first. In addition, you can increase the read overlap value a bit or try to set the CD-Speed value to 1. Also a some cheap CD-ROM drives produce a lot of errors. If you can not  resolve the jitter errors by applying the tips above, it is probably time to  upgrade your CD-ROM drive.